Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.escape.ide
Class EscapeIDEPlugin

    java.lang.Object
      org.eclipse.core.runtime.Plugin
          org.eclipse.ui.plugin.AbstractUIPlugin
              org.eclipse.amp.escape.ide.EscapeIDEPlugin

All Implemented Interfaces:
  org.osgi.framework.BundleActivator

    public class EscapeIDEPlugin

extends org.eclipse.ui.plugin.AbstractUIPlugin

The activator class controls the plug-in life cycle.

Field Summary
`static java.lang.String` | `PLUGIN_ID`

Fields inherited from class org.eclipse.core.runtime.Plugin
`PLUGIN_PREFERENCE_SCOPE, PREFERENCES_DEFAULT_OVERRIDE_BASE_NAME, PREFERENCES_DEFAULT_OVERRIDE_FILE_NAME`

Constructor Summary
`EscapeIDEPlugin()` The constructor.

Method Summary
`static void` | `err(java.lang.String msg, java.lang.Throwable e)` Err.
`static void` | `errShow(java.lang.String msg, java.lang.Throwable e)` Err show.
`static EscapeIDEPlugin` | `getDefault()` Returns the shared instance.
`static void` | `info(java.lang.String msg)` Info.
`void` | `start(org.osgi.framework.BundleContext context)`
`void` | `stop(org.osgi.framework.BundleContext context)`
`static void` | `warn(java.lang.String msg, java.lang.Throwable e)` Warn.

Methods inherited from class org.eclipse.ui.plugin.AbstractUIPlugin
`createImageRegistry, getDialogSettings, getImageRegistry, getPreferenceStore, getWorkbench, imageDescriptorFromPlugin, initializeDefaultPluginPreferences, initializeDefaultPreferences, initializeImageRegistry, loadDialogSettings, loadPreferenceStore, refreshPluginActions, saveDialogSettings, savePreferenceStore, shutdown, startup`

Methods inherited from class org.eclipse.core.runtime.Plugin
`find, find, getBundle, getDescriptor, getLog, getPluginPreferences, getStateLocation, internalInitializeDefaultPluginPreferences, isDebugging, openStream, openStream, savePluginPreferences, setDebugging, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### PLUGIN_ID

    public static final java.lang.String PLUGIN_ID

See Also:
  Constant Field Values

Constructor Detail

### EscapeIDEPlugin

    public EscapeIDEPlugin()

  The constructor.

Method Detail

### start

    public void start(org.osgi.framework.BundleContext context)
               throws java.lang.Exception

  Specified by:
    `start` in interface `org.osgi.framework.BundleActivator`
  Overrides:
    `start` in class `org.eclipse.ui.plugin.AbstractUIPlugin`
  Throws:
    `java.lang.Exception`
  See Also:
    `AbstractUIPlugin.start(org.osgi.framework.BundleContext)`

### stop

    public void stop(org.osgi.framework.BundleContext context)
              throws java.lang.Exception

  Specified by:
    `stop` in interface `org.osgi.framework.BundleActivator`
  Overrides:
    `stop` in class `org.eclipse.ui.plugin.AbstractUIPlugin`
  Throws:
    `java.lang.Exception`
  See Also:
    `AbstractUIPlugin.stop(org.osgi.framework.BundleContext)`

### info

    public static void info(java.lang.String msg)

  Info.

  Parameters:
    `msg` - the msg

### warn

    public static void warn(java.lang.String msg,
                            java.lang.Throwable e)

  Warn.

  Parameters:
    `msg` - the msg
    `e` - the e

### errShow

    public static void errShow(java.lang.String msg,
                               java.lang.Throwable e)

  Err show.

  Parameters:
    `msg` - the msg
    `e` - the e

### err

    public static void err(java.lang.String msg,
                           java.lang.Throwable e)

  Err.

  Parameters:
    `msg` - the msg
    `e` - the e

### getDefault

    public static EscapeIDEPlugin getDefault()

  Returns the shared instance.

  Returns:
    the shared instance

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD